version: '3'

services:
  base: &base
    hostname: base
    image: telzir
    stdin_open: true
    tty: true
    build:
      context: .
      dockerfile: dev.Dockerfile

  app:
    <<: *base
    command: /bin/ash -c "npm run dev"
    environment:
      APPLICATION_PORT: 3009
      HOST_DATABASE: db
      PORT_DATABASE: 5432
      USER_DATABASE: postgres
      PASSWORD_DATABASE: 1234
      DATABASE: account
      NODE_ENV: development
    ports:
      - "3009:3009"
    volumes:
        - .:/app

  tst:
    <<: *base
    command: /bin/ash -c "npm test"
    environment:
      HOST_DATABASE: db
      PORT_DATABASE: 5432
      USER_DATABASE: postgres
      PASSWORD_DATABASE: 1234
      DATABASE: account_test
      NODE_ENV: test
    volumes:
      - .:/app


